package com.memorynotfound.hibernate;

import javax.persistence.*;
import java.util.List;

public class App {

    public static void main (String...args) throws InterruptedException {

        EntityManagerFactory emf = Persistence.createEntityManagerFactory("mnf-pu");
        EntityManager em = emf.createEntityManager();

        StoredProcedureQuery sp = em.createNamedStoredProcedureQuery("SP_AddBook")
                .setParameter("id", 1)
                .setParameter("title", "Hibernat/JPA Named Stored Procedure Example");
        sp.execute();

        Book result = (Book)em.createNamedStoredProcedureQuery("SP_GetBookById")
                .setParameter("id", 1)
                .getSingleResult();
        System.out.println(result);

        em.close();
        emf.close();
    }
}
